Loading...
Searching...
No Matches
QXmppUploadService Class Reference

QXmppUploadService represents an HTTP File Upload service. More...

`#include <QXmppUploadRequestManager.h>`

## Public Member Functions

| QXmppUploadService (const QXmppUploadService &)
| Copy constructor.
QXmppUploadService & | operator= (const QXmppUploadService &)
| Equal operator.
QString | jid () const
| Returns the JID of the HTTP File Upload service.
void | setJid (const QString &jid)
| Sets the JID of the HTTP File Upload service.
qint64 | sizeLimit () const
void | setSizeLimit (qint64 sizeLimit)
| Sets the size limit of files that can be uploaded to this upload service.

## Detailed Description

QXmppUploadService represents an HTTP File Upload service.

It is used to store the JID and maximum file size for uploads.

## Member Function Documentation

## sizeLimit()

qint64 QXmppUploadService::sizeLimit | ( |  | ) | const

Returns the size limit of files that can be uploaded to this upload service.

A size limit of -1 means that there is no file size limit or it could not be determined.

The documentation for this class was generated from the following files:

- QXmppUploadRequestManager.h
- QXmppUploadRequestManager.cpp